Have they said something about compatibility on older/current hardware?